/****************************************************************************
* dicproperties.h
*
* Copyright (C) 2004 Rafal Mantiuk <rafm@users.sourceforge.org>
*
* Editor widget for editing dictionary entries
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
****************************************************************************/

#ifndef DICPROPERTIES_H
#define DICPROPERTIES_H

#include <qdialog.h>

class QLineEdit;
class QMultiLineEdit;

enum DicPropertiesMode { DP_NEW, DP_EDIT, DP_SHOW 
};

class DicProperties: public QDialog {
  
Q_OBJECT

public:

  DicProperties( QWidget *parent, DicPropertiesMode mode );
  
public:
  QLineEdit *nameLE;
  QLineEdit *fileLE;
  QMultiLineEdit *descriptionMLE;
  QLineEdit *maintainerLE;
  QLineEdit *copyrightLE;
protected:
  bool fileNameEdited;
  DicPropertiesMode mode;

protected slots:

  void onNameEdit();
  void onFileEdit();


};


#endif
