/****************************************************************************
* settings.h
*
* Copyright (C) 2002 Latchesar Ionkov <lionkov@yahoo.com>
* Copyright (C) 2004 Rafal Mantiuk <rafm@users.sourceforge.org>
*
* This program is based on the kbedic dictionary by 
* Radostin Radnev <radnev@yahoo.com>.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
****************************************************************************/

#include <qtabdialog.h>

class QSpinBox;
class QComboBox;
class QLabel;
class QListView;
class QListViewItem;
class ZBEDic;
class QWidgetStack;
class QPushButton;
class QLineEdit;
class QButtonGroup;
class DicProperties;
class DynamicDictionary;

class ZBEDicSettings: public QTabDialog {
  
Q_OBJECT
  
  friend class ZBEDic;

public:

ZBEDicSettings( QWidget *parent );

protected slots:
  void searchForDictionaries();
//  void dictSelected( QListViewItem *item );
  void toggleActive( QListViewItem *item );
  void updateFontPreview();
  void updateFontSizes();
  void createNewDic();
  void showDictProperties();
protected:

  int getFontSize();
  void setMetaData( DicProperties *dic_properties, DynamicDictionary *dic );
  
  QListView *dictList;
//  QLabel *dictFileLB;
//  QLabel *dictActiveLB;
  QLabel *fontPreviewLB;
  QComboBox* flist;
  QComboBox* fsizes;
  QWidgetStack *searchDictWS;
  QPushButton *dictSearchBt;
  QLabel *dictSearchLB;

  QString searchInLocation;
  bool searchInAllDocs;
};


class SearchDictFilesDialog: public QDialog {
  
Q_OBJECT

public:

  QLineEdit *searchInLocationLE;
  QButtonGroup *searchIn;

public:

  SearchDictFilesDialog( QWidget *parent,
    QString searchInLocation, bool searchInAllDocs );
  
protected slots:

  void searchInClicked( int button );
  void startSearch( );

protected:

};
